<?php
/**
 * Header Options
 *
 * @package Frontier News
 */

$wp_customize->add_section(
	'frontier_news_header_options',
	array(
		'panel' => 'frontier_news_theme_options',
		'title' => esc_html__( 'Header Options', 'frontier-news' ),
	)
);

// Header Options - Enable Topbar.
$wp_customize->add_setting(
	'frontier_news_enable_topbar',
	array(
		'default'           => false,
		'sanitize_callback' => 'frontier_news_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Frontier_News_Toggle_Switch_Custom_Control(
		$wp_customize,
		'frontier_news_enable_topbar',
		array(
			'label'   => esc_html__( 'Enable Topbar', 'frontier-news' ),
			'section' => 'frontier_news_header_options',
		)
	)
);

// Header Section - Advertisement.
$wp_customize->add_setting(
	'frontier_news_header_advertisement',
	array(
		'sanitize_callback' => 'frontier_news_sanitize_image',
	)
);

$wp_customize->add_control(
	new WP_Customize_Image_Control(
		$wp_customize,
		'frontier_news_header_advertisement',
		array(
			'label'    => esc_html__( 'Advertisement', 'frontier-news' ),
			'section'  => 'frontier_news_header_options',
			'settings' => 'frontier_news_header_advertisement',
		)
	)
);

// Header Section - Advertisement URL.
$wp_customize->add_setting(
	'frontier_news_header_advertisement_url',
	array(
		'default'           => '',
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	'frontier_news_header_advertisement_url',
	array(
		'label'    => esc_html__( 'Advertisement URL', 'frontier-news' ),
		'section'  => 'frontier_news_header_options',
		'settings' => 'frontier_news_header_advertisement_url',
		'type'     => 'url',
	)
);
